Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1560 (closed defect: duplicate)

Opened 14 years ago

Last modified 13 years ago

Atheros AR5005G produces error: wifi%d: unable to attach hardware: 'Hardware revision not supported' (HAL status 13)

Reported by: kevin.pinto@gmail.com Assigned to:
Priority: major Milestone:
Component: madwifi: other Version:
Keywords: Cc:
Patch is attached: 0 Pending:

Description

I have an Acer Aspire 3680 laptop running Ubuntu Linux Gutsy (7.10)

The version of madwifi that came with Ubuntu Gutsy worked perfectly until yesterday and I was able to enjoy a good WPA connection without any problems.

Until yesterday, when I dual booted into Windows Vista. The latter had a update to the Windows wireless device driver. I wonder if this Windows update has affected the hardware firmware in some manner because I get the following dmesg error:

dmesg

[11658.228000] ath_pci: 0.9.4.5 (0.9.3.2)
[11658.232000] ACPI: PCI Interrupt 0000:0a:03.0[A] -> GSI 18 (level, low) -> IRQ
 18
[11658.232000] wifi%d: unable to attach hardware: 'Hardware revision not support
ed' (HAL status 13)
[11658.232000] ACPI: PCI interrupt for device 0000:0a:03.0 disabled

lshw output

           *-network UNCLAIMED
                description: Ethernet controller
                product: AR5005G 802.11abg NIC
                vendor: Atheros Communications, Inc.
                physical id: 3
                bus info: pci@0000:0a:03.0
                version: 01
                width: 32 bits
                clock: 33MHz
                capabilities: pm cap_list
                configuration: latency=168 maxlatency=28 mingnt=10

lspci -vv

0a:03.0 Ethernet controller: Atheros Communications, Inc. AR5005G 802.11abg NIC (rev 01)
        Subsystem: AMBIT Microsystem Corp. Unknown device 0418
        Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Interrupt: pin A routed to IRQ 18
        Region 0: Memory at d0000000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [44] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=2 PME-

lsmod

ath_pci                98336  0
wlan                  206660  1 ath_pci
ath_hal               192720  1 ath_pci

iwconfig

lo        no wireless extensions.
eth0      no wireless extensions.

Attachments

Ipp01-wireless-windows-vista.png (29.6 kB) - added by anonymous on 09/18/07 22:45:00.

Change History

09/18/07 22:45:00 changed by anonymous

  • attachment Ipp01-wireless-windows-vista.png added.

09/18/07 22:45:58 changed by kevin.pinto@gmail.com

I have attached a screenshot of the Windows Vista driver page

09/19/07 00:37:12 changed by joseramon49@hotmail.com

same problem... PCI: Setting latency timer of device 0000:03:00.0 to 64 wifi%d: unable to attach hardware:'hardware revision not suported'( HA L status 13 but im runing XP..and the backtrack live cd HELP!!!!

09/25/07 16:57:34 changed by bpdxstaff@yahoo.com

same problem...

[DMESG]

ath_hal: 0.9.18.0 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
wlan: 0.8.4.2 (0.9.3.2)
ath_pci: 0.9.4.5 (0.9.3.2)
ACPI: PCI Interrupt 0000:14:00.0[A] -> Link [LNKD] -> GSI 11 (level, low) -> IRQ 11
PCI: Setting latency timer of device 0000:14:00.0 to 64
wifi%d: unable to attach hardware: 'Hardware revision not supported' (HAL status 13)
ACPI: PCI interrupt for device 0000:14:00.0 disabled

[lspci -vv]

14:00.0 Ethernet controller: Atheros Communications, Inc. AR5006EG 802.11 b/g Wireless PCI Express Adapter (rev 01)
        Subsystem: Askey Computer Corp. Unknown device 7128
        Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at f8200000 (64-bit, non-prefetchable) [disabled] [size=64K]
        Capabilities: [40] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [50] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
                Address: 00000000  Data: 0000
        Capabilities: [60] Express Legacy Endpoint IRQ 0
                Device: Supported: MaxPayload 128 bytes, PhantFunc 0, ExtTag-
                Device: Latency L0s <512ns, L1 <64us
                Device: AtnBtn- AtnInd- PwrInd-
                Device: Errors: Correctable- Non-Fatal- Fatal- Unsupported-
                Device: RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop-
                Device: MaxPayload 128 bytes, MaxReadReq 512 bytes
                Link: Supported Speed 2.5Gb/s, Width x1, ASPM L0s L1, Port 0
                Link: Latency L0s <512ns, L1 <64us
                Link: ASPM Disabled RCB 128 bytes CommClk- ExtSynch-
                Link: Speed 2.5Gb/s, Width x1
        Capabilities: [90] MSI-X: Enable- Mask- TabSize=1
                Vector table: BAR=0 offset=00000000
                PBA: BAR=0 offset=00000000
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [140] Virtual Channel

10/02/07 16:01:37 changed by kevin.pinto@gmail.com

As an update: This happens from time to time. Sometimes, when the laptop reboots, madwifi works fine and the WPA connection on top of it works. Sometimes, however, I get the above errors, and then no amount of rmmod and modprobe will get the driver to work properly. I have to reboot and then hope that it will work. Is this a clue? Is there something else I can investigate to narrow down this problem?

10/03/07 00:21:04 changed by mentor

  • status changed from new to closed.
  • resolution set to duplicate.

10/03/07 00:21:53 changed by mentor

Thanks for the info

07/09/08 22:03:53 changed by anonymous

Guys since we have had the aspire 7520G we have had nothing but trouble being able to connect with the internet mainly after a windows update. May i remind you THIS IS NOT WHAT YOU PAY FOR. They should be the one fixing the problem not us having to search for answers. Take your pc or laptop back and buy TOSHIBA. We have lost in total 2 months internet cause we cant connect and all the costs for getting it fixed bij a pro so stop wasting you time.